Subject: coconut palm
From: [email-masked]
Date: 28 Apr 1994 14:28:52 -0700
Newsgroups: bionet.plants

CAN ANYONE SUGGEST A REGIME FOR GERMINATION OF COCONUT PALM?  IS IT POSSIBLE
TO GERMINATE THE SEED MINUS HUSK (AS IT MIGHT BE FOUND AT THE GROCERY)?
THANKS IN ADVANCE FOR YOUR ADVICE.  REPLY VIA THIS FORUM OR DIRECTLY TO
[email-masked]